local LWSaveUserPushSettingsMessage = BaseClass("LWSaveUserPushSettingsMessage", SFSBaseMessage)
local base = SFSBaseMessage
local OnCreate = function(self, idList, stateList)
  base.OnCreate(self)
  self.sfsObj:PutIntArray("idList", idList)
  self.sfsObj:PutIntArray("stateList", stateList)
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
  end
end
LWSaveUserPushSettingsMessage.OnCreate = OnCreate
LWSaveUserPushSettingsMessage.HandleMessage = HandleMessage
return LWSaveUserPushSettingsMessage
